Recommended update for wpa_supplicant

SUSE Recommended Update: Recommended update for wpa_supplicant
Announcement ID: SUSE-RU-2020:0913-1
Rating: moderate
References: #1166933
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for wpa_supplicant fixes the following issue:

  • Change wpa_supplicant.service to ensure wpa_supplicant gets started before network. Fix WLAN config on boot with wicked. (bsc#1166933)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-913=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-913=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • wpa_supplicant-debuginfo-2.6-4.17.1
    • wpa_supplicant-debugsource-2.6-4.17.1
    • wpa_supplicant-gui-2.6-4.17.1
    • wpa_supplicant-gui-debuginfo-2.6-4.17.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • wpa_supplicant-2.6-4.17.1
    • wpa_supplicant-debuginfo-2.6-4.17.1
    • wpa_supplicant-debugsource-2.6-4.17.1

References: